View Issue Details

IDProjectCategoryLast Update
0021015AI War 2[All Projects] Bug - GameplayApr 20, 2019 4:22 pm
Reporterwm46Assigned ToBadgerBadger 
Severityminor 
Status closedResolutionno change required 
Product Version0.816 Aggressive Busting and Stacking 
Fixed in Version 
Summary0021015: Reconquest waves can cause AI structures from multiple different AIs to spawn
DescriptionI don't know exactly how it happened, but as I was clearing a planet out to get an Artillery Golem for badger to test with, I realized the planet I was attacking had guard posts from both different AIs present in the game.

My best guess, as the nanocaust were traveling to attack my homeworld, they "accidentally" blew up the AI command station of the yellows. Then when a reconquest wave spawned, it was actually a green reconquest, and so when the planet was being reseeded it didn't remember to remove yellow's stuff?

There are other planets in this save where there are yellow tachyon sentinels on green worlds, and green tachyon sentinels on yellow worlds, all on the border of the nanocaust territory.
TagsNo tags attached.

Activities

wm46

Mar 22, 2019 1:34 am

reporter  

Two diff AI on world.savemet (66 bytes)
Two diff AI on world.save (3,340,019 bytes)

BadgerBadger

Mar 22, 2019 6:54 am

manager   ~0051034

Last edited: Apr 3, 2019 11:05 pm

View 2 revisions

An interesting case! I think this is more of a feature than a bug though

BadgerBadger

Apr 3, 2019 11:06 pm

manager   ~0051042

No desire to change this for now, though .900 will probably alter things further in unpredictable ways.

x4000Bughunter

Apr 20, 2019 4:22 pm

administrator   ~0051230

Going to mark this as closed for now since this does seem more interesting than problematic. We'll see what happens!

Issue History

Date Modified Username Field Change
Mar 22, 2019 1:34 am wm46 New Issue
Mar 22, 2019 1:34 am wm46 File Added: Two diff AI on world.save
Mar 22, 2019 1:34 am wm46 File Added: Two diff AI on world.savemet
Mar 22, 2019 6:54 am BadgerBadger Note Added: 0051034
Apr 3, 2019 11:05 pm BadgerBadger Note Edited: 0051034 View Revisions
Apr 3, 2019 11:06 pm BadgerBadger Assigned To => BadgerBadger
Apr 3, 2019 11:06 pm BadgerBadger Status new => acknowledged
Apr 3, 2019 11:06 pm BadgerBadger Note Added: 0051042
Apr 20, 2019 4:22 pm x4000Bughunter Status acknowledged => closed
Apr 20, 2019 4:22 pm x4000Bughunter Resolution open => no change required
Apr 20, 2019 4:22 pm x4000Bughunter Note Added: 0051230